
Hedera.Connections = new Class
({
	Extends: Hedera.Form
	
	,_timeoutId: null

	,onModelStatusChange: function (model, status)
	{
		if (!model.ready)
			return;

		if (this._timeoutId)
			clearTimeout (this._timeoutId);
			
		this._timeoutId = setTimeout (this.onRefreshClick.bind (this), 60000);
	}
	
	,deactivate: function ()
	{
		clearTimeout (this._timeoutId);
	}
	
	,onRefreshClick: function ()
	{
		this.$('sessions').refresh ();	
	}

	,onAccessLogClick: function (button, form)
	{
		this.hash.set ({
			 'form': 'admin/access-log'
			,'user': form.get ('userId')
		});
	}

	,onChangeUserClick: function (button, form)
	{
		this.gui.supplantUser (form.get ('user'),
			this._onUserSupplant.bind (this));
	}
	
	,_onUserSupplant: function (userName)
	{
		this.hash.set ({'form': 'ecomerce/orders'});
	}
	
	,sessionsFunc: function ()
	{
		return 1;
	}
});

